type: prog

uuid: 00009103-0f33-0305-2022-000600000002

titre: Les manipulations des chaines de caractères - concatener des chaines de caractères

niveau: Débutant

description: Apprendre à concatener des chaines de caractères.

énoncé: |
  La concaténation est une fonction qui permet de réunir des chaines de caractères en une seule chaine.  Cette fonction est fréquemment utilisée pour construire des chaines à partir de fragments d'informations contenues dans d'autres chaines de caractères.  Par exemple, supposons les trois variables suivantes: (1) `Prénom` qui contient `Gilles`, (2) `Action` qui contient `corrige`, et (3) `Sujet` qui contient `les devoirs`.  Je veux donc utiliser le contenu de ces trois vraibles pour produire une seule phrase, soit `Gilles corrige les devoirs.`

  À faire :

  1. Compléter script pour concatener la valeur des trois paramètres reçus dans la variable `GrosseChaine`.  Le premier paramètre est le prénom (variable `Prenom`), le deuxième paramètre est l'action (variable `Action`) et le dernier paramètre est le sujet (variable `Sujet`).  Vous devez donc créer une phrase comme celle de l'exemple mentionné plus haut.
  2. Exécuter le script et corriger les erreurs s'il y a lieu.
  3. Notez que pour contourner la difficulté de passer des paramètres qui contiennent des espaces, j'utilise le caractère de soulignement `_` que je transforme en espace.  Nous verrons dans un prochain exercice comment faire ces transformations.

  indice: pour cet exercice, référez-vous au site [manipulation de chaines](https://www.thegeekstuff.com/2010/07/bash-string-manipulation/).

ébauches:
    bash: !include exec.bash

rétroactions:
    positive: Bravo! tu as réussi à concatéener des chaines de caractères!
    négative: Référez-vous au site [manipulation de chaines](https://www.thegeekstuff.com/2010/07/bash-string-manipulation/).

tests: !include tests.yml

auteur: Gilles Lacasse
licence: 2022 CC-BY-SA
